# Kustomize base configuration for Undateable.me
apiVersion: kustomize.config.k8s.io/v1beta1
kind: Kustomization

namespace: undateable

# Common labels applied to all resources
commonLabels:
  app.kubernetes.io/part-of: undateable
  app.kubernetes.io/managed-by: kustomize

resources:
  - namespace.yaml
  - configmap.yaml
  # - secrets.yaml  # Secrets created via kubectl in deploy script
  - deployments.yaml
  - services.yaml
  - ingress.yaml
  - hpa.yaml

# Images to substitute with correct OCIR URL
images:
  - name: auth-service
    newName: us-ashburn-1.ocir.io/idd2oizp8xvc/undateable/auth-service
    newTag: latest
  - name: profiles-service
    newName: us-ashburn-1.ocir.io/idd2oizp8xvc/undateable/profiles-service
    newTag: latest
  - name: messaging-service
    newName: us-ashburn-1.ocir.io/idd2oizp8xvc/undateable/messaging-service
    newTag: latest
  - name: burn-service
    newName: us-ashburn-1.ocir.io/idd2oizp8xvc/undateable/burn-service
    newTag: latest
  - name: websocket-service
    newName: us-ashburn-1.ocir.io/idd2oizp8xvc/undateable/websocket-service
    newTag: latest
  - name: frontend-service
    newName: us-ashburn-1.ocir.io/idd2oizp8xvc/undateable/frontend-service
    newTag: latest
  - name: burnyourex-frontend
    newName: us-ashburn-1.ocir.io/idd2oizp8xvc/undateable/burnyourex-frontend
    newTag: latest

# Config map generator (alternative to secrets.yaml for non-sensitive data)
# configMapGenerator:
#   - name: app-config
#     behavior: merge
#     literals:
#       - APP_ENV=production
